Bug 172913 - [ipsec] [patch] setkey(8) is unclear on anti-replay window size option semantics
Summary: [ipsec] [patch] setkey(8) is unclear on anti-replay window size option semantics
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-doc (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-20 22:10 UTC by John W. O'Brien
Modified: 2017-04-23 10:33 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (792 bytes, patch)
2012-10-20 22:10 UTC, John W. O'Brien
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John W. O'Brien 2012-10-20 22:10:00 UTC
The manpage for setkey(8) does not crisply and unambiguously explain how to choose and specify a value for the -r option.

Fix: Apply the attached patch to head/sbin/setkey/setkey.8

Patch attached with submission follows:
How-To-Repeat: Read setkey(8) to learn how to specify the anti-replay window size when creating an SA from the command line.
Comment 1 John W. O'Brien 2017-04-06 23:02:35 UTC
How can I help move this along?
Comment 2 Benedict Reuschling freebsd_committer 2017-04-07 08:02:45 UTC
Sorry to keep you waiting for so long. I've created a review so that we can discuss your patch: https://reviews.freebsd.org/D10304
Comment 3 commit-hook freebsd_committer 2017-04-09 15:18:34 UTC
A commit references this bug:

Author: bcr
Date: Sun Apr  9 15:17:55 UTC 2017
New revision: 316657
URL: https://svnweb.freebsd.org/changeset/base/316657

Log:
  Make setkey(8) more clear about anti-replay window size option semantics.

  PR:			172913
  Submitted by:		john@saltant.com
  Reviewed by:		ae@
  MFC after:		2 weeks
  Differential Revision:	https://reviews.freebsd.org/D10304

Changes:
  head/sbin/setkey/setkey.8
Comment 4 commit-hook freebsd_committer 2017-04-23 10:29:56 UTC
A commit references this bug:

Author: bcr
Date: Sun Apr 23 10:29:09 UTC 2017
New revision: 317339
URL: https://svnweb.freebsd.org/changeset/base/317339

Log:
  MFC r316657:

  Make setkey(8) more clear about anti-replay window size option semantics.

  PR:		172913
  Submitted by:	john@saltant.com
  Reviewed by:	ae@
  Differential Revision:  https://reviews.freebsd.org/D10304

Changes:
_U  stable/11/
  stable/11/sbin/setkey/setkey.8
Comment 5 Benedict Reuschling freebsd_committer 2017-04-23 10:33:27 UTC
The MFC is done, no need to keep this PR open any longer. Thank you for filing it and sorry we've kept you waiting to work on it for so long. PR closed.